#!/bin/sh

working_dir=@CWD@

prefix=@prefix@
exec_prefix=@exec_prefix@

CL="@CXX@"

CCFLAGS="@CPLINLINE@ @COMPILER_OPT@"

if [ -f ${working_dir}/src/kernel/libadlib.a ]
then 
  $CL $CCFLAGS -I${working_dir}/src/include -I@MPI_INC@ -L@MPI_LIB@ -L${working_dir}/src/kernel $* -ladlib @LIBKEY@ 
else
  $CL $CCFLAGS -I${prefix}/include -I@MPI_INC@ -L@MPI_LIB@ -L${exec_prefix}/lib $* -ladlib @LIBKEY@
fi  
